// usevector.cpp
// Glenn G. Chappell
// 10 Sep 2013
//
// For CS 202 Fall 2013
// Example using std::vector

#include <iostream>
using std::cout;
using std::endl;
using std::cin;
#include <vector>
using std::vector;


// Main program
// A few simple uses of a vector
int main()
{
    //int x[6];  // x is an array of 6 ints
    vector<int> x;   // x is a vector of NO ints

    // Create data set
    x.push_back(4);  // Append single item to end of vector x
    x.push_back(3);
    x.push_back(7);

    // Print Header
    cout << "Vector x has been created" << endl;

    // Print size
    cout << endl;
    cout << "x.size() = " << x.size() << endl;

    // Print dataset
    cout << endl;
    for (int i = 0; i < x.size(); ++i)
    {
        cout << "x[" << i << "] = " << x[i] << endl;
    }

    cout << endl;
    cout << "Press ENTER to quit ";
    while (cin.get() != '\n') ;

    return 0;
}

